
Infrastructure - Bug #5321

Multiple Hazelcast Client connections to same storage instance

2014-05-08 21:34 - Robert Waltz

Status: New Start date: 2014-09-25

Priority: Normal Due date: 2014-09-25

Assignee: Robert Waltz % Done: 0%

Category: d1_process_daemon Estimated time: 0.00 hour

Target version: Release Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

D1 Processing appears to attempt to open up multiple hazelcast client connections to the metacat storage hazelcast instance on port

5701

The first client that opens a connection wins the connection to the metacat storage hz instance. 

The other hz clients fail, and then continue to attempt to reconnect ad infinatum. Each reconnect attempts at a different port number,

increasing the port number incrementally. These attempted reconnects will eat up all available HZ reconnection ports until there are

none available. 

If the hazelcast client that was successfully connected ever dies and has to reconnect, there will be no ports left that the hazelcast

client can use to connect through. 

History

#1 - 2014-07-30 06:19 - Robert Waltz

- Milestone changed from CCI-1.3 to CCI-1.4

#2 - 2014-09-25 17:41 - Dave Vieglais

- Due date set to 2014-09-25

- Target version set to Release Backlog

- Start date set to 2014-09-25

#3 - 2016-08-10 20:58 - Robert Waltz

- Milestone changed from CCI-1.4 to None
